Commit 3618df09 authored by Jehan's avatar Jehan

configure: run AX_PROG_CC_FOR_BUILD before AM_PROG_CC_C_O.

It was working fine for me, but someone had the error:
error: AC_PROG_CC cannot be called after AM_PROG_CC_C_O
/usr/share/aclocal/ax_prog_cc_for_build.m4:38: AX_PROG_CC_FOR_BUILD is expanded
from...
I can indeed see that AX_PROG_CC_FOR_BUILD code runs AC_PROG_CC again.
So let's make sure this is run before AM_PROG_CC_C_O.
Thanks to Francesco Riosa for reporting the bug.
parent 8159aa04
...@@ -220,6 +220,7 @@ AS_IF([test "x$0" != "x./configure"], [ ...@@ -220,6 +220,7 @@ AS_IF([test "x$0" != "x./configure"], [
# Determine a C compiler to use # Determine a C compiler to use
AC_PROG_CC AC_PROG_CC
AX_PROG_CC_FOR_BUILD
AM_PROG_CC_C_O AM_PROG_CC_C_O
# Determine a C++ compiler to use # Determine a C++ compiler to use
...@@ -2075,8 +2076,6 @@ if test "x$enable_vector_icons" = "xyes"; then ...@@ -2075,8 +2076,6 @@ if test "x$enable_vector_icons" = "xyes"; then
fi fi
if test "x$enable_vector_icons" = "xyes"; then if test "x$enable_vector_icons" = "xyes"; then
AX_PROG_CC_FOR_BUILD
# We must not use $PKG_CONFIG nor PKG_CHECK_* macros because we need # We must not use $PKG_CONFIG nor PKG_CHECK_* macros because we need
# to make sure we use the native pkg-config (in case we cross-compile). # to make sure we use the native pkg-config (in case we cross-compile).
if pkg-config --atleast-version=glib_required_version glib-2.0 && if pkg-config --atleast-version=glib_required_version glib-2.0 &&
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment